# Class GeneratePluginDescriptors

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugin.devel.tasks.GeneratePluginDescriptors

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>`

@Incubating public class GeneratePluginDescriptors extends org.gradle.api.internal.ConventionTask
Generates plugin descriptors from plugin declarations.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`GeneratePluginDescriptors()`

## Method Summary

Modifier and Type
Method
Description
`void`
`generatePluginDescriptors()`
`List<PluginDeclaration>`
`getDeclarations()`
`File`
`getOutputDirectory()`
`void`
`setDeclarations(List<PluginDeclaration> declarations)`
`void`
`setOutputDirectory(File outputDirectory)`
Sets the output directory.
`void`
`setOutputDirectory(Object outputDirectory)`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GeneratePluginDescriptors

public GeneratePluginDescriptors()

## Method Details

### generatePluginDescriptors

public void generatePluginDescriptors()

### getDeclarations

public List<PluginDeclaration> getDeclarations()

### setDeclarations

public void setDeclarations(List<PluginDeclaration> declarations)

### getOutputDirectory

@OutputDirectory public File getOutputDirectory()

### setOutputDirectory

public void setOutputDirectory(File outputDirectory)
Sets the output directory.

Since:
  4.0

### setOutputDirectory

public void setOutputDirectory(Object outputDirectory)